Package com.sun.jna.platform.win32

## Class WinDef.WPARAM

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.UINT_PTR
      - - com.sun.jna.platform.win32.WinDef.WPARAM

All Implemented Interfaces:
  `NativeMapped`, `java.io.Serializable`

Enclosing interface:
  WinDef

    public static class WinDef.WPARAM
    extends WinDef.UINT_PTR

Message parameter.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`WPARAM()` Instantiates a new wparam.
`WPARAM​(long value)` Instantiates a new wparam.

### Method Summary

### Methods inherited from class com.sun.jna.platform.win32.WinDef.UINT_PTR

`toPointer`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WPARAM

    public WPARAM()

Instantiates a new wparam.

#### WPARAM

    public WPARAM​(long value)

Instantiates a new wparam.

Parameters:
  `value` - the value